package org.jboss.qe.cxf.rs.jms;

import javax.ws.rs.Consumes;
import javax.ws.rs.DELETE;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Response;

@Path("/contact-service/")
@Consumes("application/xml")
@Produces("application/xml")
public interface ContactService {

	@POST
	@Path("/contacts/")
	void addContact(Contact contact);

	@GET
	@Path("/contacts/{name}")
	Response getContact(@PathParam("name") String name);

	@GET
	@Path("/contacts/")
	Contact[] getContacts();

	@PUT
	@Path("/contacts/{name}")
	void updateContact(@PathParam("name") String name, Contact contact);

	@DELETE
	@Path("/contacts/{name}/")
	void removeContact(@PathParam("name") String name);
}
