package org.jboss.qe.cxf.rs.jms;

import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import java.util.HashMap;
import java.util.Map;

public class ContactServiceImpl implements ContactService {

	private Map<String, Contact> contacts = new HashMap<>();

	@Override
	public void addContact(Contact contact2) {
		System.out.println("Adding "+contact2.getName());
		contacts.put(contact2.getName(), contact2);
	}

	@Override
	public Response getContact(String name) {
		System.out.println("Getting "+name);
		if (!contacts.containsKey(name)) {
			return Response.status(Response.Status.NOT_FOUND).build();
		}
		return Response.status(Response.Status.OK).type(MediaType.APPLICATION_XML).entity(contacts.get(name)).build();
	}

	@Override
	public Contact[] getContacts() {
		return contacts.values().toArray(new Contact[contacts.size()]);
	}

	@Override
	public void updateContact(String name, Contact contact) {
		System.out.println("Updating "+name);
		if (!contacts.get(name).equals(contact.getName())) {
			contacts.remove(name);
		}
		contacts.put(contact.getName(), contact);
	}

	@Override
	public void removeContact(String name) {
		System.out.println("Removing "+name);
		contacts.remove(name);
	}
}
